import { InvoiceClosedPayload, PopupClosedPayload, ThemeChangedPayload, ViewportChangedPayload, QrTextReceivedPayload, ClipboardTextReceivedPayload } from './events';
/**
 * Parses incoming value as ThemeChangedPayload.
 */
export declare const extractThemeChangedPayload: import("twa-core").SchemaParserResultFunc<ThemeChangedPayload | import("twa-core").SchemaParserResult<ThemeChangedPayload>>;
/**
 * Parses incoming value as ViewportChangedPayload.
 */
export declare function extractViewportChangedPayload(data: unknown): ViewportChangedPayload;
/**
 * Parses incoming value as PopupClosedPayload.
 */
export declare const extractPopupClosedPayload: import("twa-core").SchemaParserResultFunc<PopupClosedPayload | import("twa-core").SchemaParserResult<PopupClosedPayload>>;
/**
 * Parses incoming value as QrTextReceivedPayload.
 */
export declare const extractQrTextReceivedPayload: import("twa-core").SchemaParserResultFunc<QrTextReceivedPayload | import("twa-core").SchemaParserResult<QrTextReceivedPayload>>;
/**
 * Parses incoming value as InvoiceClosedPayload.
 */
export declare const extractInvoiceClosedPayload: import("twa-core").SchemaParserResultFunc<InvoiceClosedPayload | import("twa-core").SchemaParserResult<InvoiceClosedPayload>>;
export declare const extractClipboardTextReceivedPayload: import("twa-core").SchemaParserResultFunc<ClipboardTextReceivedPayload | import("twa-core").SchemaParserResult<ClipboardTextReceivedPayload>>;
/**
 * Extracts event data from native application event.
 */
export declare const extractMessageEventData: import("twa-core").SchemaParserResultFunc<{
    type: string;
    data: unknown;
} | import("twa-core").SchemaParserResult<{
    type: string;
    data: unknown;
}>>;
